> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator by ID

> Get a validator by its ID for a given network and asset.



## OpenAPI

````yaml GET /v1/networks/{network_id}/assets/{asset_id}/validators/{validator_id}
openapi: 3.0.3
info:
  title: Coinbase Developer Platform API
  license:
    name: MIT License
    url: https://opensource.org/license/mit
  version: 0.0.1-alpha
servers:
  - url: https://api.cdp.coinbase.com/platform
security:
  - bearerAuth: []
tags:
  - name: Addresses
    description: Addresses belong to a wallet and are scoped to a network.
  - name: Assets
    description: Assets are the digital assets that can be held in a wallet.
  - name: Networks
    description: Blockchain networks that are supported by the platform.
  - name: Staking
    description: Staking operations and rewards for addresses on supported networks.
paths:
  /v1/networks/{network_id}/assets/{asset_id}/validators/{validator_id}:
    get:
      tags:
        - Staking
      summary: Get validator by ID
      description: Get a validator by its ID for a given network and asset.
      operationId: getValidator
      parameters:
        - description: The ID of the blockchain network.
          in: path
          name: network_id
          required: true
          schema:
            type: string
          example: ethereum-mainnet
        - description: The symbol of the asset to get the validator for.
          in: path
          name: asset_id
          required: true
          schema:
            type: string
          example: eth
        - description: The unique id of the validator to fetch details for.
          in: path
          name: validator_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The validator for a given network, asset and id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Validator'
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response
components:
  schemas:
    Validator:
      type: object
      description: A validator onchain.
      properties:
        validator_id:
          type: string
          example: >-
            0x966ea18b5f166d708eb5a3fb2948d1fa0c45d15d69b0399d823d447ee7efb9252f2d182c2d65c03c6e39227cd67e66e1
          description: >-
            The publicly identifiable unique id of the validator. This can be
            the public key for Ethereum validators and maybe an address for some
            other network.
        network_id:
          type: string
          example: ethereum-hoodi
          description: The ID of the blockchain network to which the Validator belongs.
        asset_id:
          type: string
          example: eth
          description: The ID of the asset that the validator helps stake.
        status:
          type: string
          example: active
          description: The status of the validator.
        details:
          type: object
          oneOf:
            - $ref: '#/components/schemas/EthereumValidatorMetadata'
      required:
        - validator_id
        - network_id
        - asset_id
        - status
      xml:
        name: validator
    Error:
      description: An error response from the Coinbase Developer Platform API
      properties:
        code:
          description: >-
            A short string representing the reported error. Can be use to handle
            errors programmatically.
          maxLength: 5000
          type: string
        message:
          description: A human-readable message providing more details about the error.
          maxLength: 5000
          type: string
        correlation_id:
          description: >-
            A unique identifier for the request that generated the error. This
            can be used to help debug issues with the API.
          type: string
      required:
        - code
        - message
      type: object
      xml:
        name: error
    EthereumValidatorMetadata:
      type: object
      description: An Ethereum validator.
      properties:
        index:
          type: string
          example: '1085182'
          description: The index of the validator in the validator set.
        public_key:
          type: string
          example: >-
            0x8000011bc03bbf99ac5964d14d3bb52de983c848cc3734d736235a19715e8cbbd5e963163eb4bd2d8cd473d103b95c12
          description: The public key of the validator.
        withdrawal_address:
          type: string
          example: >-
            0x8000011bc03bbf99ac5964d14d3bb52de983c848cc3734d736235a19715e8cbbd5e963163eb4bd2d8cd473d103b95c12
          description: The address to which the validator's rewards are sent.
        slashed:
          type: boolean
          example: false
          description: Whether the validator has been slashed.
        activationEpoch:
          type: string
          description: The epoch at which the validator was activated.
        exitEpoch:
          type: string
          description: The epoch at which the validator exited.
        withdrawableEpoch:
          type: string
          description: The epoch at which the validator can withdraw.
        balance:
          $ref: '#/components/schemas/Balance'
          description: The validator balance in gwei.
        effective_balance:
          $ref: '#/components/schemas/Balance'
          description: The effective validator balance in gwei.
      required:
        - index
        - public_key
        - withdrawal_address
        - slashed
        - activationEpoch
        - exitEpoch
        - withdrawableEpoch
        - balance
        - effective_balance
    Balance:
      description: The balance of an asset onchain
      type: object
      properties:
        amount:
          type: string
          example: '12345678'
          description: The amount in the atomic units of the asset
        asset:
          $ref: '#/components/schemas/Asset'
      required:
        - amount
        - asset
      xml:
        name: balance
    Asset:
      description: >-
        An asset onchain scoped to a particular network, e.g. ETH on
        base-sepolia, or the USDC ERC20 Token on ethereum-mainnet.
      type: object
      properties:
        network_id:
          type: string
          example: base-sepolia
          description: The ID of the blockchain network.
        asset_id:
          type: string
          example: USDC
          description: The ID for the asset on the network
        decimals:
          type: integer
          example: 18
          description: >-
            The number of decimals the asset supports. This is used to convert
            from atomic units to base units.
        contract_address:
          type: string
          description: >-
            The optional contract address for the asset. This will be specified
            for smart contract-based assets, for example ERC20s.
          example: '0x036CbD53842c5426634e7929541eC2318f3dCF7e'
      required:
        - network_id
        - asset_id
      xml:
        name: asset
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Enter your JSON Web Token (JWT) here. Refer to the [Generate
        JWT](/api-reference/authentication#2-generate-jwt-server-only) section
        of our Authentication docs for information on how to generate your
        Bearer Token.

````